Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class IterateThroughViewTag

    java.lang.Object
      BodyTagSupport
          com.beasys.commerce.ebusiness.catalog.tags.IterateThroughViewTag

    public class IterateThroughViewTag

extends BodyTagSupport

Constructor Summary
`IterateThroughViewTag()`

Method Summary
`int` | `doAfterBody()` Called when the end of the tag is reached
`int` | `doStartTag()` Called when the tag starts.
`String` | `getId()` Get the value of the id.
`ViewIterator` | `getIterator()` Get the value of the iterator.
`String` | `getReturnType()` Get the value of returnType.
`int` | `getViewIndex()` Get the value of the viewIndex.
`void` | `release()`
`void` | `setId(String id)` Set the value of the id.
`void` | `setIterator(ViewIterator iterator)` Set the value of the iterator.
`void` | `setReturnType(String returnType)` Set the value of returnType.
`void` | `setViewIndex(int viewIndex)` Set the value of the viewIndex.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterateThroughViewTag

    public IterateThroughViewTag()

Method Detail

### setIterator

    public void setIterator(ViewIterator iterator)

  Set the value of the iterator.

  Parameters
    `iterator` - Value to assign to iterator.

### getIterator

    public ViewIterator getIterator()

  Get the value of the iterator.

  Returns
    Value of the iditerator

### setId

    public void setId(String id)

  Set the value of the id.

  Parameters
    `id` - Value to assign to id.

### getId

    public String getId()

  Get the value of the id.

  Returns
    Value of the id.

### setReturnType

    public void setReturnType(String returnType)

  Set the value of returnType.

  Parameters
    `returnType` - Value to assign to returnType.

### getReturnType

    public String getReturnType()

  Get the value of returnType.

  Returns
    Value of returnType.

### setViewIndex

    public void setViewIndex(int viewIndex)

  Set the value of the viewIndex.

  Parameters
    `viewIndex` - Value to assign to viewIndex.

### getViewIndex

    public int getViewIndex()

  Get the value of the viewIndex.

  Returns
    Value of the viewIndex.

### doStartTag

    public int doStartTag()
                   throws JspException

  Called when the tag starts.

  Throws
    `JspException`

### doAfterBody

    public int doAfterBody()
                    throws JspException

  Called when the end of the tag is reached

  Throws
    `JspException`

### release

    public void release()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved